# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/10/31
import datetime
import os
import random
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.zhihu_hot import ZhihuHot


class Main:
    @classmethod
    def main(cls, log_type, env):
        while True:
            # if 22 >= datetime.datetime.now().hour >= 8:
            Common.logger(log_type).info('开始抓取知乎热榜\n')
            ZhihuHot.get_hot_feeds(log_type, env)
            Common.del_logs(log_type)
            Common.logger(log_type).info('随机休眠 60-180 秒\n')
            time.sleep(random.randint(60, 60*3))
            # else:
            #     pass


if __name__ == '__main__':
    Main.main('hot', 'prod')
